package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAttEmployeeShiftRosterForm extends HrmBaseForm {
  String workGroupCode;
  
  String employeeNo;
  
  String employeeName;
  
  String periodStartDate;
  
  String periodEndDate;
  
  String disabemployeeName;
  
  String disabemployeeNo;
  
  String disabperiodStartDate;
  
  String disabperiodEndDate;
  
  String disabworkGroupCode;
  
  private String[] txtWorkDate = null;
  
  private String[] txtAvailability = null;
  
  private String[] txtShiftCode = null;
  
  private String[] txtMandatoryHoliady = null;
  
  private String[] txtEmpNo = null;
  
  private String[] txtShiftCodeId = null;
  
  private ArrayList arylstEmpShiftRosterDtl = new ArrayList();
  
  private String txtSiteId;
  
  private String butWorkGrpCode;
  
  private String disabbutWorkGrpCode;
  
  private String butEmpNo;
  
  private String disabbutEmpNo;
  
  private String butSiteId;
  
  private String disabbutSiteId;
  
  private String hdnWorkId;
  
  private String hdnSiteId;
  
  private String hdnEmpId;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getWorkGroupCode() {
    return this.workGroupCode;
  }
  
  public void setWorkGroupCode(String newWorkGroupCode) {
    this.workGroupCode = newWorkGroupCode;
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getPeriodStartDate() {
    return this.periodStartDate;
  }
  
  public void setPeriodStartDate(String newPeriodStartDate) {
    this.periodStartDate = newPeriodStartDate;
  }
  
  public String getPeriodEndDate() {
    return this.periodEndDate;
  }
  
  public void setPeriodEndDate(String newPeriodEndDate) {
    this.periodEndDate = newPeriodEndDate;
  }
  
  public String getDisabemployeeName() {
    return this.disabemployeeName;
  }
  
  public void setDisabemployeeName(String newDisabemployeeName) {
    this.disabemployeeName = newDisabemployeeName;
  }
  
  public String getDisabemployeeNo() {
    return this.disabemployeeNo;
  }
  
  public void setDisabemployeeNo(String newDisabemployeeNo) {
    this.disabemployeeNo = newDisabemployeeNo;
  }
  
  public String getDisabperiodStartDate() {
    return this.disabperiodStartDate;
  }
  
  public void setDisabperiodStartDate(String newDisabperiodStartDate) {
    this.disabperiodStartDate = newDisabperiodStartDate;
  }
  
  public String getDisabperiodEndDate() {
    return this.disabperiodEndDate;
  }
  
  public void setDisabperiodEndDate(String newDisabperiodEndDate) {
    this.disabperiodEndDate = newDisabperiodEndDate;
  }
  
  public String getDisabworkGroupCode() {
    return this.disabworkGroupCode;
  }
  
  public void setDisabworkGroupCode(String newDisabworkGroupCode) {
    this.disabworkGroupCode = newDisabworkGroupCode;
  }
  
  public String[] getTxtWorkDate() {
    return this.txtWorkDate;
  }
  
  public void setTxtWorkDate(String[] newTxtWorkDate) {
    this.txtWorkDate = newTxtWorkDate;
  }
  
  public String[] getTxtAvailability() {
    return this.txtAvailability;
  }
  
  public void setTxtAvailability(String[] newTxtAvailability) {
    this.txtAvailability = newTxtAvailability;
  }
  
  public String[] getTxtShiftCode() {
    return this.txtShiftCode;
  }
  
  public void setTxtShiftCode(String[] newTxtShiftCode) {
    this.txtShiftCode = newTxtShiftCode;
  }
  
  public String[] getTxtMandatoryHoliady() {
    return this.txtMandatoryHoliady;
  }
  
  public void setTxtMandatoryHoliady(String[] newTxtMandatoryHoliady) {
    this.txtMandatoryHoliady = newTxtMandatoryHoliady;
  }
  
  public String[] getTxtEmpNo() {
    return this.txtEmpNo;
  }
  
  public void setTxtEmpNo(String[] newTxtEmpNo) {
    this.txtEmpNo = newTxtEmpNo;
  }
  
  public String[] getTxtShiftCodeId() {
    return this.txtShiftCodeId;
  }
  
  public void setTxtShiftCodeId(String[] newTxtShiftCodeId) {
    this.txtShiftCodeId = newTxtShiftCodeId;
  }
  
  public ArrayList getArylstEmpShiftRosterDtl() {
    return this.arylstEmpShiftRosterDtl;
  }
  
  public void setArylstEmpShiftRosterDtl(ArrayList newArylstEmpShiftRosterDtl) {
    this.arylstEmpShiftRosterDtl = newArylstEmpShiftRosterDtl;
  }
  
  public String getTxtSiteId() {
    return this.txtSiteId;
  }
  
  public void setTxtSiteId(String newTxtSiteId) {
    this.txtSiteId = newTxtSiteId;
  }
  
  public String getButWorkGrpCode() {
    return this.butWorkGrpCode;
  }
  
  public void setButWorkGrpCode(String newButWorkGrpCode) {
    this.butWorkGrpCode = newButWorkGrpCode;
  }
  
  public String getDisabbutWorkGrpCode() {
    return this.disabbutWorkGrpCode;
  }
  
  public void setDisabbutWorkGrpCode(String newDisabbutWorkGrpCode) {
    this.disabbutWorkGrpCode = newDisabbutWorkGrpCode;
  }
  
  public String getButEmpNo() {
    return this.butEmpNo;
  }
  
  public void setButEmpNo(String newButEmpNo) {
    this.butEmpNo = newButEmpNo;
  }
  
  public String getDisabbutEmpNo() {
    return this.disabbutEmpNo;
  }
  
  public void setDisabbutEmpNo(String newDisabbutEmpNo) {
    this.disabbutEmpNo = newDisabbutEmpNo;
  }
  
  public String getButSiteId() {
    return this.butSiteId;
  }
  
  public void setButSiteId(String newButSiteId) {
    this.butSiteId = newButSiteId;
  }
  
  public String getDisabbutSiteId() {
    return this.disabbutSiteId;
  }
  
  public void setDisabbutSiteId(String newDisabbutSiteId) {
    this.disabbutSiteId = newDisabbutSiteId;
  }
  
  public String getHdnWorkId() {
    return this.hdnWorkId;
  }
  
  public void setHdnWorkId(String newHdnWorkId) {
    this.hdnWorkId = newHdnWorkId;
  }
  
  public String getHdnSiteId() {
    return this.hdnSiteId;
  }
  
  public void setHdnSiteId(String newHdnSiteId) {
    this.hdnSiteId = newHdnSiteId;
  }
  
  public String getHdnEmpId() {
    return this.hdnEmpId;
  }
  
  public void setHdnEmpId(String newHdnEmpId) {
    this.hdnEmpId = newHdnEmpId;
  }
}
